Subject: Re: The 2.6.25 kernel dosen't run on pq2fads based board

From: Scott Wood <[email-masked]>
Date: Wed, 04 Jun 2008 13:41:32 -0500

Matvejchikov Ilya wrote:
> Hi all!
> 
> There is a problem with 2.6.25.4 kernel on the pq2fads based board.

Works for me using cuImage.

> ## Booting kernel from Legacy Image at 00200000 ...
>    Image Name:   Linux-2.6.25.4
>    Image Type:   PowerPC Linux Kernel Image (gzip compressed)
>    Data Size:    1534783 Bytes =  1.5 MB
>    Load Address: 00000000
>    Entry Point:  00000000
>    Verifying Checksum ... OK
>    Uncompressing Kernel Image ... OK
> ## Flattened Device Tree blob at 00800000
>    Booting using the fdt blob at 0x800000
>    Loading Device Tree to 007fe000, end 007fffff ... OK

I don't see FDT support for this board in current u-boot (I should 
really get around to fixing that...), so I assume you're using a 
modified u-boot?

> Xid mach(): done
> MMU:enter
> MMU:hw init
> MMU:mapin
> MMU:setio
> MMU:exit
> <<---- the reset was here :(

Perhaps your u-boot isn't properly filling in the memory node.

Oh, and just in case -- if you're using binutils 2.17, it's buggy.

-Scott